<div class="animated fadeIn">
    <div class="card" style="padding: 0.2rem">
        <div class="card-header bg-gray-200 text-primary d-flex justify-content-between">
            <div>
                <i class="fa fa-th-large" aria-hidden="true"></i>
                {{TITLE}}
            </div>
            <button class="btn btn-sm rounded btn-outline-primary p-2 bd-highlight"
                    (click)="addArea(addAreaList)">
                <i class="fa fa-plus"></i> Agregar Área
            </button>
        </div>
        <div class="card-body mt-4 p-0">

            <div>

                <div>
                    <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="row-border hover">
                        <thead>
                        <tr>
                            <th>Lista de Áreas</th>
                            <th class="text-center">Definir responsables</th>
                            <th class="text-center">Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr *ngFor="let area of areaList">
                            <td>{{ area.nombre }}</td>
                            <td class="text-center">
                                <button class="btn btn-sm rounded bg-primary" (click)="addRespList(addResp, area.id)">
                                    <i class="fa fa-plus"></i> Listado de Responsables
                                </button>
                            </td>
                            <td class="text-center">
                                <i class="fa fa-pencil-square-o text-info fa-2x" aria-hidden="true" style="cursor: pointer" title="Editar" (click)="editArea(editAreaList, area.id, area.nombre)"></i>
                                <i class="fa fa-times text-danger fa-2x" aria-hidden="true" style="cursor: pointer" title="Eliminar" (click)="removeArea(area.id)"></i>
                            </td>
                        </tr>

                        </tbody>
                    </table>
                </div>
            </div>

        </div>
    </div>
</div>

<ng-template #addAreaList>
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Agregar Area</h5>
            <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close"
                    (click)="closeModal()" style="outline: none">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <div class="row">
                <div class=" col-12">
                    <div class="form-group">
                        <label class="col-form-label">Nombre de Area:</label>
                        <div class="controls">
                            <div class="input-prepend input-group">
                                <input [(ngModel)]="areaNameValue" type="text" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-sm btn-primary rounded" (click)="registerArea()"><i class="fa fa-plus"
                                                                                                     aria-hidden="true"></i>
                Agregar
            </button>
            <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                <i class="fa fa-close" aria-hidden="true"></i> Cerrar
            </button>
        </div>
    </div>
</ng-template>

<ng-template #editAreaList>
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Editar Area</h5>
            <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close"
                    (click)="closeModal()" style="outline: none">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">
            <div class="row">
                <div class=" col-12">
                    <div class="form-group">
                        <label class="col-form-label">Nombre de Area:</label>
                        <div class="controls">
                            <div class="input-prepend input-group">
                                <input [(ngModel)]="areaNameEditValue" type="text" class="form-control">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-sm btn-primary rounded" (click)="execUpdate()">
                <i class="fa fa-plus" aria-hidden="true"></i>
                Editar
            </button>
            <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                <i class="fa fa-close" aria-hidden="true"></i> Cerrar
            </button>
        </div>
    </div>
</ng-template>

<ng-template #addResp>
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Agregar Responsable</h5>
            <button type="button" class="close text-white" data-dismiss="modal" aria-label="Close"
                    (click)="closeModal()" style="outline: none">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="modal-body">


            <p class="text-center text-primary">**Agregar responsables de áreas**</p>

            <div class="row justify-content-center align-items-end">
                <div class="col-6">
                    <label class="col-form-label">Responsable:</label>
                    <ng-select class="text-left"
                               [items]="serviceOptions"
                               [multiple]="false"
                               [(ngModel)]="respSelected"
                               [clearAllText]="'Eliminar valor seleccionado'"
                               [closeOnSelect]="true"
                               [clearSearchOnAdd]="true"
                               [hideSelected]="true"
                               notFoundText="'No hay coincidencias'"
                               bindLabel="resp" [ngModelOptions]="{standalone: true}">
                    </ng-select>
                </div>
                <div class="col-2">
                    <button class="btn btn-sm rounded bg-primary" (click)="addRepToList()">
                        <i class="fa fa-plus"></i> Agregar
                    </button>
                </div>
            </div>
            <br>
            <div>
                <table class="table">
                    <thead>
                    <tr>
                        <th>Responsable</th>
                        <th class="text-center">Acciones</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr *ngFor="let resp of managerList">
                        <td>{{ resp.label }}</td>
                        <td class="text-center">
                            <i class="fa fa-times text-danger fa-2x" aria-hidden="true" (click)="removeUser(resp.id)"
                               style="cursor: pointer"
                               title="Quitar de lista"></i>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-sm btn-primary rounded" (click)="exit()"><i class="fa fa-plus" aria-hidden="true"></i>
                Guardar
            </button>
            <button type="button" class="btn btn-sm btn-danger rounded" data-dismiss="modal" (click)="closeModal()">
                <i class="fa fa-close" aria-hidden="true"></i> Cerrar
            </button>
        </div>
    </div>
</ng-template>
